CURLOPT_FTP_RESPONSE_TIMEOUT(3)

NAME
CURLOPT_FTP_RESPONSE_TIMEOUT - time allowed to wait for FTP response

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_RESPONSE_TIMEOUT, long timeout);

DESCRIPTION
Pass a long. Causes libcurl to set a timeout period (in seconds) on the amount of time that the server is allowed to take in order to send a response message for a command before the session is considered dead. While libcurl is waiting for a response, this value overrides CURLOPT_TIMEOUT(3). It is recommended that if used in conjunction with CURLOPT_TIMEOUT(3), you set CURLOPT_FTP_RESPONSE_TIMEOUT(3) to a value smaller than CURLOPT_TIMEOUT(3).

DEFAULT
None

PROTOCOLS
FTP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "ftp://example.com/slow.txt");
  /* wait no more than 23 seconds */
  curl_easy_setopt(curl, CURLOPT_FTP_RESPONSE_TIMEOUT, 23L);
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Added in 7.10.8

RETURN VALUE
Returns CURLE_OK if FTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_TIMEOUT(3), CURLOPT_CONNECTTIMEOUT(3), CURLOPT_LOW_SPEED_LIMIT(3),